Package org.mariadb.jdbc.util.log

## Class JdkLogger

- java.lang.Object
- - org.mariadb.jdbc.util.log.JdkLogger

All Implemented Interfaces:
  `Logger`

    public class JdkLogger
    extends Object
    implements Logger

### Constructor Summary

Constructors
`JdkLogger​(Logger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(String msg)`
`void` `debug​(String format, Object... arguments)`
`void` `debug​(String msg, Throwable t)`
`void` `error​(String msg)`
`void` `error​(String format, Object... arguments)`
`void` `error​(String msg, Throwable t)`
`String` `getName()`
`void` `info​(String msg)`
`void` `info​(String format, Object... arguments)`
`void` `info​(String msg, Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace​(String msg)`
`void` `trace​(String format, Object... arguments)`
`void` `trace​(String msg, Throwable t)`
`void` `warn​(String msg)`
`void` `warn​(String format, Object... arguments)`
`void` `warn​(String msg, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkLogger

    public JdkLogger​(Logger logger)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `Logger`

#### isTraceEnabled

    public boolean isTraceEnabled()

Specified by:
  `isTraceEnabled` in interface `Logger`

#### trace

    public void trace​(String msg)

Specified by:
  `trace` in interface `Logger`

#### trace

    public void trace​(String format,
                      Object... arguments)

Specified by:
  `trace` in interface `Logger`

#### trace

    public void trace​(String msg,
                      Throwable t)

Specified by:
  `trace` in interface `Logger`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `Logger`

#### debug

    public void debug​(String msg)

Specified by:
  `debug` in interface `Logger`

#### debug

    public void debug​(String format,
                      Object... arguments)

Specified by:
  `debug` in interface `Logger`

#### debug

    public void debug​(String msg,
                      Throwable t)

Specified by:
  `debug` in interface `Logger`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `Logger`

#### info

    public void info​(String msg)

Specified by:
  `info` in interface `Logger`

#### info

    public void info​(String format,
                     Object... arguments)

Specified by:
  `info` in interface `Logger`

#### info

    public void info​(String msg,
                     Throwable t)

Specified by:
  `info` in interface `Logger`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `Logger`

#### warn

    public void warn​(String msg)

Specified by:
  `warn` in interface `Logger`

#### warn

    public void warn​(String format,
                     Object... arguments)

Specified by:
  `warn` in interface `Logger`

#### warn

    public void warn​(String msg,
                     Throwable t)

Specified by:
  `warn` in interface `Logger`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `Logger`

#### error

    public void error​(String msg)

Specified by:
  `error` in interface `Logger`

#### error

    public void error​(String format,
                      Object... arguments)

Specified by:
  `error` in interface `Logger`

#### error

    public void error​(String msg,
                      Throwable t)

Specified by:
  `error` in interface `Logger`